{
  config,
  pkgs,
  localPkgs,
  ...
}:
{
  rice.fonts =
    let
      sans = {
        name = "MS W98 UI";
        size = 12;
        package = localPkgs.ms-w98-ui-font;
      };
      serif = {
        name = "Poly";
        size = 12;
        package = pkgs.poly;
      };
      monospace = {
        name = "Mx437 DOS/V re. JPN24";
        size = 14;
        package = localPkgs.oldschool-pc-fonts.override { style = "mixed"; };
      };
      emoji = {
        name = "Twitter Color Emoji";
        size = 12;
        package = pkgs.twemoji-color-font;
      };
    in
    {
      inherit
        sans
        serif
        monospace
        emoji
        ;
      pkgs = [
        sans.package
        serif.package
        monospace.package
        emoji.package
        pkgs.meslo-lgs-nf
      ];
    };
  fonts =
    let
      inherit (config.rice) fonts;
    in
    {
      packages = fonts.pkgs;
      fontconfig = {
        enable = true;
        useEmbeddedBitmaps = true;
        hinting = {
          enable = false;
          # style = "full";
        };
        antialias = true;
        defaultFonts = {
          serif = [ fonts.serif.name ];
          sansSerif = [ fonts.sans.name ];
          monospace = [ fonts.monospace.name ];
          emoji = [ fonts.emoji.name ];
        };
      };
    };

}
